<?xml version="1.0" encoding="UTF-8"?>
<document type="com.apple.InterfaceBuilder3.CocoaTouch.Storyboard.XIB" version="3.0" toolsVersion="15705" targetRuntime="iOS.CocoaTouch" propertyAccessControl="none" useAutolayout="YES" useTraitCollections="YES" useSafeAreas="YES" colorMatched="YES">
    <device id="retina6_1" orientation="portrait" appearance="light"/>
    <dependencies>
        <deployment identifier="iOS"/>
        <plugIn identifier="com.apple.InterfaceBuilder.IBCocoaTouchPlugin" version="15706"/>
        <capability name="Safe area layout guides" minToolsVersion="9.0"/>
        <capability name="documents saved in the Xcode 8 format" minToolsVersion="8.0"/>
    </dependencies>
    <scenes>
        <!--Delegate-->
        <scene sceneID="znd-jb-xKg">
            <objects>
                <viewController storyboardIdentifier="MapAddressSelectionViewController" useStoryboardIdentifierAsRestorationIdentifier="YES" id="Qux-QZ-4Jq" customClass="MapAddressSelectionViewController" customModule="AddressSearchModule" customModuleProvider="target" sceneMemberID="viewController">
                    <view key="view" contentMode="scaleToFill" id="0wR-yr-mKw">
                        <rect key="frame" x="0.0" y="0.0" width="414" height="896"/>
                        <autoresizingMask key="autoresizingMask" widthSizable="YES" heightSizable="YES"/>
                        <subviews>
                            <view contentMode="scaleToFill" translatesAutoresizingMaskIntoConstraints="NO" id="Guk-cB-fl7" customClass="GMSMapView">
                                <rect key="frame" x="0.0" y="44" width="414" height="852"/>
                                <color key="backgroundColor" white="1" alpha="1" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
                                <connections>
                                    <outlet property="delegate" destination="Qux-QZ-4Jq" id="JgP-Y9-nKE"/>
                                </connections>
                            </view>
                            <view hidden="YES" contentMode="scaleToFill" horizontalHuggingPriority="249" verticalHuggingPriority="249" translatesAutoresizingMaskIntoConstraints="NO" id="5yL-vW-DN4" customClass="LabelWhiteBackground" customModule="AddressSearchModule" customModuleProvider="target">
                                <rect key="frame" x="8" y="69" width="398" height="32"/>
                                <color key="backgroundColor" white="1" alpha="1" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
                                <constraints>
                                    <constraint firstAttribute="width" constant="398" placeholder="YES" id="PVY-Da-MFG"/>
                                    <constraint firstAttribute="height" constant="32" id="XdZ-1p-wjT"/>
                                </constraints>
                                <userDefinedRuntimeAttributes>
                                    <userDefinedRuntimeAttribute type="string" keyPath="layer.cornerRadius" value="5"/>
                                </userDefinedRuntimeAttributes>
                            </view>
                            <view hidden="YES" contentMode="scaleToFill" horizontalHuggingPriority="249" verticalHuggingPriority="249" horizontalCompressionResistancePriority="749" verticalCompressionResistancePriority="749" translatesAutoresizingMaskIntoConstraints="NO" id="cNK-j4-NMx" customClass="LabelWhiteBackground" customModule="AddressSearchModule" customModuleProvider="target">
                                <rect key="frame" x="8" y="391" width="398" height="30"/>
                                <color key="backgroundColor" white="0.0" alpha="0.0" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
                                <constraints>
                                    <constraint firstAttribute="width" constant="398" placeholder="YES" id="Oeg-1g-pgw"/>
                                    <constraint firstAttribute="height" constant="30" id="PWX-Ay-EQW"/>
                                </constraints>
                            </view>
                            <imageView clipsSubviews="YES" userInteractionEnabled="NO" contentMode="scaleAspectFit" horizontalHuggingPriority="251" verticalHuggingPriority="251" image="common-map-pin" translatesAutoresizingMaskIntoConstraints="NO" id="PHJ-Tn-MYx">
                                <rect key="frame" x="191" y="426" width="32" height="44"/>
                                <constraints>
                                    <constraint firstAttribute="height" constant="44" id="153-9q-KJq"/>
                                    <constraint firstAttribute="width" constant="32" id="BaZ-OQ-Bvs"/>
                                </constraints>
                            </imageView>
                            <button opaque="NO" contentMode="scaleToFill" contentHorizontalAlignment="center" contentVerticalAlignment="center" lineBreakMode="middleTruncation" translatesAutoresizingMaskIntoConstraints="NO" id="vTJ-VD-lKh">
                                <rect key="frame" x="354" y="702" width="40" height="40"/>
                                <constraints>
                                    <constraint firstAttribute="width" constant="40" id="Hrb-Lt-RBH"/>
                                    <constraint firstAttribute="height" constant="40" id="p2U-7M-T1e"/>
                                </constraints>
                                <state key="normal" image="common-user-location"/>
                                <connections>
                                    <action selector="onLocationButtonPress" destination="Qux-QZ-4Jq" eventType="touchUpInside" id="cEa-Oq-Ws2"/>
                                </connections>
                            </button>
                            <view contentMode="scaleToFill" translatesAutoresizingMaskIntoConstraints="NO" id="Xku-eK-1pk">
                                <rect key="frame" x="16" y="804" width="382" height="48"/>
                                <subviews>
                                    <button opaque="NO" contentMode="scaleToFill" contentHorizontalAlignment="center" contentVerticalAlignment="center" lineBreakMode="middleTruncation" translatesAutoresizingMaskIntoConstraints="NO" id="02E-BT-dxV">
                                        <rect key="frame" x="0.0" y="0.0" width="382" height="48"/>
                                        <color key="backgroundColor" white="1" alpha="1" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
                                        <inset key="imageEdgeInsets" minX="0.0" minY="0.0" maxX="20" maxY="0.0"/>
                                        <state key="normal" title="Найти меня на карте">
                                            <color key="titleColor" systemColor="systemBlueColor" red="0.0" green="0.47843137250000001" blue="1" alpha="1" colorSpace="custom" customColorSpace="sRGB"/>
                                        </state>
                                        <userDefinedRuntimeAttributes>
                                            <userDefinedRuntimeAttribute type="number" keyPath="cornerRadius">
                                                <real key="value" value="23"/>
                                            </userDefinedRuntimeAttribute>
                                        </userDefinedRuntimeAttributes>
                                        <connections>
                                            <action selector="onFindMeButtonPress" destination="Qux-QZ-4Jq" eventType="touchUpInside" id="YLS-7A-L6J"/>
                                        </connections>
                                    </button>
                                </subviews>
                                <color key="backgroundColor" white="0.0" alpha="0.0" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
                                <constraints>
                                    <constraint firstItem="02E-BT-dxV" firstAttribute="leading" secondItem="Xku-eK-1pk" secondAttribute="leading" id="2CH-Gz-7VF"/>
                                    <constraint firstAttribute="trailing" secondItem="02E-BT-dxV" secondAttribute="trailing" id="51z-Dv-XAA"/>
                                    <constraint firstItem="02E-BT-dxV" firstAttribute="top" secondItem="Xku-eK-1pk" secondAttribute="top" id="BGK-qD-IZw"/>
                                    <constraint firstAttribute="height" constant="48" id="ywS-vh-j1Z"/>
                                    <constraint firstAttribute="bottom" secondItem="02E-BT-dxV" secondAttribute="bottom" id="zy7-3Z-kwZ"/>
                                </constraints>
                            </view>
                        </subviews>
                        <color key="backgroundColor" red="1" green="1" blue="1" alpha="1" colorSpace="custom" customColorSpace="sRGB"/>
                        <constraints>
                            <constraint firstAttribute="bottom" secondItem="Guk-cB-fl7" secondAttribute="bottom" id="3YG-8I-2ce"/>
                            <constraint firstItem="Xku-eK-1pk" firstAttribute="leading" secondItem="2dP-4b-gDK" secondAttribute="leading" constant="16" id="8Wf-ag-xrJ"/>
                            <constraint firstItem="2dP-4b-gDK" firstAttribute="bottom" secondItem="Xku-eK-1pk" secondAttribute="bottom" constant="10" id="DHe-5q-HBD"/>
                            <constraint firstItem="PHJ-Tn-MYx" firstAttribute="centerY" secondItem="0wR-yr-mKw" secondAttribute="centerY" id="Eex-WI-EjT"/>
                            <constraint firstItem="5yL-vW-DN4" firstAttribute="centerX" secondItem="0wR-yr-mKw" secondAttribute="centerX" id="JMM-OM-snw"/>
                            <constraint firstItem="cNK-j4-NMx" firstAttribute="leading" relation="greaterThanOrEqual" secondItem="2dP-4b-gDK" secondAttribute="leading" constant="8" id="K3x-5b-OoI"/>
                            <constraint firstItem="2dP-4b-gDK" firstAttribute="trailing" secondItem="Guk-cB-fl7" secondAttribute="trailing" id="Kf6-Hf-pED"/>
                            <constraint firstItem="Guk-cB-fl7" firstAttribute="top" secondItem="2dP-4b-gDK" secondAttribute="top" id="MtQ-ih-aRr"/>
                            <constraint firstItem="PHJ-Tn-MYx" firstAttribute="centerX" secondItem="0wR-yr-mKw" secondAttribute="centerX" id="Tjr-cN-8m4"/>
                            <constraint firstItem="2dP-4b-gDK" firstAttribute="trailing" relation="greaterThanOrEqual" secondItem="cNK-j4-NMx" secondAttribute="trailing" constant="8" id="Uet-l3-mKH"/>
                            <constraint firstItem="2dP-4b-gDK" firstAttribute="trailing" secondItem="vTJ-VD-lKh" secondAttribute="trailing" constant="20" id="XIY-Kg-7PB"/>
                            <constraint firstItem="2dP-4b-gDK" firstAttribute="bottom" secondItem="vTJ-VD-lKh" secondAttribute="bottom" constant="120" id="atJ-GW-6hs"/>
                            <constraint firstItem="cNK-j4-NMx" firstAttribute="centerX" secondItem="0wR-yr-mKw" secondAttribute="centerX" id="bKQ-Mx-G9U"/>
                            <constraint firstItem="2dP-4b-gDK" firstAttribute="trailing" relation="greaterThanOrEqual" secondItem="5yL-vW-DN4" secondAttribute="trailing" constant="8" id="fXf-Wa-iuN"/>
                            <constraint firstItem="2dP-4b-gDK" firstAttribute="trailing" secondItem="Xku-eK-1pk" secondAttribute="trailing" constant="16" id="gMO-mn-IwL"/>
                            <constraint firstItem="PHJ-Tn-MYx" firstAttribute="top" secondItem="cNK-j4-NMx" secondAttribute="bottom" constant="5" id="mMx-Pm-o8s"/>
                            <constraint firstItem="Guk-cB-fl7" firstAttribute="leading" secondItem="2dP-4b-gDK" secondAttribute="leading" id="nKb-nw-QNR"/>
                            <constraint firstItem="5yL-vW-DN4" firstAttribute="leading" relation="greaterThanOrEqual" secondItem="2dP-4b-gDK" secondAttribute="leading" constant="8" id="ruA-jC-jXM"/>
                            <constraint firstItem="5yL-vW-DN4" firstAttribute="top" secondItem="2dP-4b-gDK" secondAttribute="top" constant="25" id="tOJ-w1-ij4"/>
                        </constraints>
                        <viewLayoutGuide key="safeArea" id="2dP-4b-gDK"/>
                    </view>
                    <connections>
                        <outlet property="bottomButtonsHeightConstraint" destination="ywS-vh-j1Z" id="WtI-p1-9EH"/>
                        <outlet property="bottomLocationButtonContainerConstraint" destination="atJ-GW-6hs" id="Yl8-9k-fDE"/>
                        <outlet property="bottomViewContainer" destination="Xku-eK-1pk" id="3kr-ub-5Tt"/>
                        <outlet property="cityLabelBackgroundView" destination="5yL-vW-DN4" id="3Jo-rh-hox"/>
                        <outlet property="findMeButton" destination="02E-BT-dxV" id="exA-6a-aYZ"/>
                        <outlet property="locationButton" destination="vTJ-VD-lKh" id="zBZ-F4-ys2"/>
                        <outlet property="mapManager" destination="XfI-Ql-ixK" id="eS6-Ke-AGk"/>
                        <outlet property="pinImageView" destination="PHJ-Tn-MYx" id="6Jc-9X-Exm"/>
                        <outlet property="streetLabelBackgroundView" destination="cNK-j4-NMx" id="J9v-Tv-Th2"/>
                    </connections>
                </viewController>
                <customObject id="XfI-Ql-ixK" userLabel="MapView Manager" customClass="MapViewManager" customModule="AddressSearchModule" customModuleProvider="target">
                    <connections>
                        <outlet property="mapView" destination="Guk-cB-fl7" id="Kp6-Jb-XtR"/>
                    </connections>
                </customObject>
                <placeholder placeholderIdentifier="IBFirstResponder" id="bhK-TC-vbl" sceneMemberID="firstResponder"/>
            </objects>
            <point key="canvasLocation" x="957.97101449275374" y="20.758928571428569"/>
        </scene>
    </scenes>
    <resources>
        <image name="common-map-pin" width="512" height="512"/>
        <image name="common-user-location" width="300" height="300"/>
    </resources>
</document>
